Subject: Re: sam on win32

From: "Chaotrope" <[email-masked]>
Date: Thu, 21 Jan 1999 13:39:52 -0500

On: Wednesday, January 20, 1999:
----------
> From: Michael D. Scheer <[email-masked]>
> To: [email-masked]
> Subject: sam on win32

> What is the current state of efforts to get sam onto win32?  seanq's
> port does not seem to have been updated in a while.

I don't understand the 'problem' - I use the seanq version in
a Win95 system with no problem (alright, it will hang sometimes,
but I blame that on B. Gates) so why would it need updating?

I'm so happy with sam that I've even thought of buying my own
i386 clone system (work pays for what I currently use) just to
run the Linux p9 "emulation" (ie, sam, wily, rc/es, 9term,9wm),
even tho I swore years back that I wouldn't spend my own money
on computer junk any more - too much stuff collecting in closets.

 - kim

BTW did you notice that 'rc' is in the /bin? Nice undocumented treat.

---

From: "Chaotrope" <[email-masked]>
Date: Thu, 21 Jan 1999 18:57:41 -0500

On Wednesday, January 20, 1999 
>  Alex Danilo <[email-masked]>
> Subject: Re: sam on win32

said 
> P.S. I asked seanq if we could have the source of his port, but he won't
> release it.
> P.P.S. I bashed in the cursor keys, ctrl-x/c/v and Windows style delete
key
> if anyone wants those changes.
> --
> Alex Danilo <[email-masked]> http://www.ishtek.com/alex
> PO Box 333 Forestville NSW 2087 +61-2-9975-2297
>

seanq's Win95/NT version of sam implements the Crtl-X/C/V as well as
allowing Crl-W to delete the word to the left of the cursor, and
Ctrl-U to delete leftwards to beginning of line (I think these are
remnants of 8-1/2).

And if you want source, I remember in the list-archives a mail from
someone who had ported sam to Win; they might be willing to pass it on.

(and speaking of source, even if someone gets the Win32.exe, they
should also get sam.shar because that includes a troff -ms encoded
tutorial on using sam, something that is sorely needed, especially
as the PDF of the 1987 paper doesn't print back-ticks (') so the
one big example of changing 'n' to 'num' reads incorrectly)

 - kim